# 핵클 제공 속성(자동 수집)

이 문서는 핵클에서 정의하고 수집하는 속성에 대해 다룹니다.

{% hint style="info" %}
핵클 제공 속성을 이용하려면

1. SDK 연동이 필요합니다.
2. 클라이언트 SDK를 사용해야 합니다. (iOS/AOS/javascript 등)
   {% endhint %}

## 핵클 제공 속성(자동 수집) 종류

| 속성명                   | 속성명 설명          | 속성값 예시                                                     |
| --------------------- | --------------- | ---------------------------------------------------------- |
| browerName            | 브라우저 이름         | Chrome                                                     |
| browsermajorVersion   | 브라우저 major 버전   | 115                                                        |
| browserVersion        | 브라우저 버전         | 115.0.0.0                                                  |
| deviceModel           | 디바이스 모델명        | SM-S906N                                                   |
| deviceType            | 기기 종류           | mobile, tv, desktop ..                                     |
| deviceVendor          | 제조사             | samsung                                                    |
| host                  | url 호스트         | dashboard.hackle.io                                        |
| isApp                 | 어플리케이션인지 여부     | true                                                       |
| language              | 설정된 언어          | ko                                                         |
| locale                | 설정된 로케일(언어-지역)  | ko-KR                                                      |
| osName                | 운영체제            | Mac                                                        |
| osVersion             | 운영체제 버전         | 10.15.7                                                    |
| pagePath              | url 경로          | url path                                                   |
| pageTitle             | 페이지 제목          | 이벤트 조회 - hackle                                            |
| platform              | 플랫폼             | Web, Mobile, Desktop ...                                   |
| protocol              | url 프로토콜        | https                                                      |
| queryParameter        | query 파라미터      | ?query=%7B%22startDateTime%22%3A%222023-08-18T09%3A        |
| referrer              | referrer 정보     | <https://dashboard.hackle.io/login>                        |
| refefferDomain        | referrer 도메인 정보 | [www.google.com](http://www.google.com) , search.naver.com |
| referrerSource        | referrer 소스 정보  | search, shopping, organic                                  |
| referrerKeyword       | referrer 키워드 정보 | ab테스트 (referrerSource가 searh인 경우 검색어)                     |
| screenClass           | 클래스 이름          | RemodelingActivity (안드로이드에서만 수집)                           |
| screenHeight          | 화면 세로 크기        | 1920                                                       |
| screenWidth           | 화면 가로 크기        | 1080                                                       |
| timeZone              | 시간대             | + 09:00, +xx:00, ...                                       |
| userAgent             | user agent 정보   | Mozilla/5.0 (Macintosh; Intel Mac OS X 10\_15\_7)          |
| versionName           | 버전 이름           | 1.0.26                                                     |
| \[User] utm\_source   | UTM 유입 소스       | google, facebook, naver, kakao (Web에서만 수집)                 |
| \[User] utm\_medium   | UTM 마케팅 방식      | cpc, display, email (Web에서만 수집)                            |
| \[User] utm\_campaign | UTM 캠페인         | familyday, thanksgiving\_23 (Web에서만 수집)                    |
| \[User] utm\_content  | UTM 콘텐츠         | image1, video2 (Web에서만 수집)                                 |

{% hint style="info" %}
UTM 속성은 웹 환경 혹은 웹앱 연동 환경에서만 수집됩니다.

* 핵클 SDK가 해당 속성을 자동으로 수집하지만, 핵클 속성이 아니라 맞춤형 유저 속성으로 표시됩니다.
  {% endhint %}

## 핵클 제공 속성(자동 수집) 확인

SDK 연동이 완료되면, 아래 이미지 처럼 핵클 대시보드에서 **\[핵클 자동 수집 속성]** 이라는 항목이 보이고, osName 과 같은 속성을 선택해서 데이터를 조회할 수 있습니다.

![](/files/q2e2MbbOhNEIpvfa5T49)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hackle.io/event-management/properties/hackle-property.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
